<template>
  <div class="relative popular-match-card-mobile" :style="`--popular-left-bg: url(${getAssetImage('assets/theme/common/popular_match/frame_123.png')}); --popular-right-bg: url(${getAssetImage('assets/theme/common/popular_match/frame_124.png')};`">
    <div class="background-left"></div>
    <div class="background-right"></div>
    <div class="match-header">
      <span class="match-title">{{ match.LeagueName }}</span>
      <span class="match-date">{{ match.KickOffTimeForDisplay }}</span>
    </div>
    <hr class="line-under-header" />
    <div class="w-auto match-content">
      <div class="flex justify-center w-full">
        <div class="team-block home" style="width: 37.5%;">
          <div class="team-logo">
            <img
              class="h-full max-w-full"
              v-lazy="match.HomeTeamIconUrl"
              alt="home"
            />
          </div>
          <div class="team-info">
            <div class="team-name">
              {{ match.HomeName }}
            </div>
            <div class="team-odds">
              <span class="fc-primary">{{
                match.HandicapPointForDisplay
              }}</span>
              <span>{{ match.HandicapHomeOddsForDisplay }}</span>
            </div>
          </div>
        </div>
        <div class="flex items-center justify-center h-[42px]" style="width: 25%;">
          <div class="text-center">
            <p class="match-result">
              {{ match.HomeScore }} : {{ match.AwayScore }}
            </p>
            <button
              class="match-card-btn"
              :disabled="isDisabled"
              :data-id="match.MatchId"
              @click="onBetNowClick(match)"
            >
              <span class="whitespace-normal">
                {{ $t("bet_now") }}
              </span>
            </button>
          </div>
        </div>
        <div class="team-block away"  style="width: 37.5%;">
          <div class="team-info">
            <div class="team-name">
              {{ match.AwayName }}
            </div>
            <div class="team-odds">
              <span class="fc-primary">
                {{
                  Number(Number(match.HandicapPointForDisplay) * -1).toFixed(2)
                }}
              </span>
              <span>
                {{ match.HandicapAwayOddsForDisplay }}
              </span>
            </div>
          </div>
          <div class="team-logo">
            <img
              class="h-full max-w-full"
              v-lazy="match.AwayTeamIconUrl"
              alt="away"
            />
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { PropType } from "vue";
import { RecommendMatch } from "@/models/theme/popular_match/popularMatch";
import commonHelper from "@/utils/commonHelper";

defineProps({
  match: {
    type: Object as PropType<RecommendMatch>,
    required: true,
  },
});

const { getAssetImage } = commonHelper;
const { isDisabled, onBetNowClick } = usePopularMatchCard();
</script>

<style scoped lang="scss">
[theme-color="bk8"] .--textBtn {
 color: var(--primary);
}
.popular-match-card-mobile {
  box-sizing: border-box;
  width: 100%;
  min-height: 92px;
  height: auto;
  background: var(--background5);
  border: 1px solid var(--border);
  box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
  border-radius: 8px;
  font-family: Roboto, sans-serif;
  font-size: 12px;
  line-height: 14px;
  font-weight: 400;
  font-style: normal;
  color: var(--text2);
  z-index: 0;
  padding: 0.5rem;
  .background-left {
    width: 84px;
    height: 84px;
    background-image: var(--popular-left-bg);
    position: absolute;
    top: 0;
    left: 0;
    background-size: contain;
    z-index: -1;
    opacity: 0.6;
  }
  .background-right {
    width: 84px;
    height: 84px;
    background-image: var(--popular-right-bg);
    position: absolute;
    top: 0;
    right: 0;
    background-size: contain;
    z-index: -1;
    opacity: 0.6;
  }
  .line-under-header {
    border: 1px solid var(--border);
    width: 100%;
    opacity: 50%;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
  }
  .match-header {
    text-align: center;
    .match-title {
      color: var(--text5);
      margin-right: 6px;
    }
    .match-date {
      color: var(--primary);
    }
  }
  .match-content {
    .team-name {
      color: var(--text2, #FFF);
      font-size: 12px;
      font-style: normal;
      font-weight: 400;
      line-height: normal;
      height: 28px;
      display: -webkit-box;
      -webkit-box-orient: vertical;
      -webkit-line-clamp: 2;
      overflow: hidden;
      text-overflow: ellipsis;
      display: flex;
      justify-content: flex-end;
      align-items: center;
    }
    .match-result {
      font-size: 16px;
      font-weight: 900;
      line-height: 19px;
      color: var(--text5);
    }
    .match-card-btn {
      font-weight: 700;
      color: var(--primary);
      padding: 4px 8px;
      background-color: transparent;
      border: none;
      font-size: 12px;
      line-height: 14px;
    }
  }

  .team-block {
    display: flex;
    align-items: center;
    gap: 4px;
  }
  .team-block.away {
    justify-content: flex-end;
  }
  .away .team-info {
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
  }
  .away .team-name {
    text-align: right;
  }
  .team-logo {
    min-width: 36px;
    width: 36px;
    min-height: 36px;
    height: 36px;
  }
  .team-odds {
    width: 72px;
    display: flex;
    justify-content: space-between;
    align-items: center;
  }
}

</style>
